<?php 
  function unique_id($l = 12){
	   $str = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890&%$#.-";
	   $password = "";
	   //Reconstruimos la contraseña segun la longitud que se quiera
	   for($i=0;$i<$l;$i++) {
		  //obtenemos un caracter aleatorio escogido de la cadena de caracteres
		  $password .= substr($str,rand(0,68),1);
	   }
	   return $password;
  }
?>